
public class Class326 {

   public float aFloat4033;
   static int anInt4034;
   static Class326[] aClass326Array4035;
   public float aFloat4036;
   public float aFloat4037;
   static int anInt4038;


   final void method5866(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   public static Class326 method5867() {
      Class326[] var0 = aClass326Array4035;
      synchronized(var0) {
         if(anInt4038 == 0) {
            return new Class326();
         } else {
            aClass326Array4035[--anInt4038].method5875();
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static Class326 method5868(float var0, float var1, float var2) {
      Class326[] var3 = aClass326Array4035;
      synchronized(var3) {
         if(anInt4038 == 0) {
            return new Class326(var0, var1, var2);
         } else {
            aClass326Array4035[--anInt4038].method5873(var0, var1, var2);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static final Class326 method5869(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5901(var1);
      return var2;
   }

   public static final Class326 method5870(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5879(var1);
      return var2;
   }

   public Class326() {}

   public Class326(float var1, float var2, float var3) {
      this.aFloat4036 = var1;
      this.aFloat4037 = var2;
      this.aFloat4033 = var3;
   }

   Class326(Class326 var1) {
      this.aFloat4036 = var1.aFloat4036;
      this.aFloat4037 = var1.aFloat4037;
      this.aFloat4033 = var1.aFloat4033;
   }

   public final void method5871(Class321 var1) {
      Class321 var2 = Class321.method5847(this.aFloat4036, this.aFloat4037, this.aFloat4033, 0.0F);
      Class321 var3 = Class321.method5789(var1);
      Class321 var4 = Class321.method5796(var3, var2);
      var4.method5795(var1);
      this.method5873(var4.aFloat4020, var4.aFloat4016, var4.aFloat4021);
      var2.method5817();
      var3.method5817();
      var4.method5817();
   }

   public void method5872(RS2Buffer var1) {
      this.aFloat4036 = var1.method13836(-1531129149);
      this.aFloat4037 = var1.method13836(-995691978);
      this.aFloat4033 = var1.method13836(-1924268338);
   }

   public void method5873(float var1, float var2, float var3) {
      this.aFloat4036 = var1;
      this.aFloat4037 = var2;
      this.aFloat4033 = var3;
   }

   public final float method5874() {
      return (float)Math.sqrt((double)(this.aFloat4036 * this.aFloat4036 + this.aFloat4037 * this.aFloat4037 + this.aFloat4033 * this.aFloat4033));
   }

   public final void method5875() {
      this.aFloat4033 = 0.0F;
      this.aFloat4037 = 0.0F;
      this.aFloat4036 = 0.0F;
   }

   public boolean method5876(Class326 var1) {
      return this.aFloat4036 == var1.aFloat4036 && this.aFloat4037 == var1.aFloat4037 && this.aFloat4033 == var1.aFloat4033;
   }

   public final void method5877() {
      this.aFloat4036 = -this.aFloat4036;
      this.aFloat4037 = -this.aFloat4037;
      this.aFloat4033 = -this.aFloat4033;
   }

   public static final Class326 method5878(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5925(var1);
      return var2;
   }

   public final void method5879(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   public final void method5880(Class326 var1, float var2) {
      this.aFloat4036 += var1.aFloat4036 * var2;
      this.aFloat4037 += var1.aFloat4037 * var2;
      this.aFloat4033 += var1.aFloat4033 * var2;
   }

   public static void method5881(int var0) {
      anInt4034 = var0;
      aClass326Array4035 = new Class326[var0];
      anInt4038 = 0;
   }

   public final float method5882(Class326 var1) {
      return this.aFloat4036 * var1.aFloat4036 + this.aFloat4037 * var1.aFloat4037 + this.aFloat4033 * var1.aFloat4033;
   }

   public final void method5883(float var1, float var2, float var3) {
      this.aFloat4036 -= var1;
      this.aFloat4037 -= var2;
      this.aFloat4033 -= var3;
   }

   public static final Class326 method5884(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5901(var1);
      return var2;
   }

   public static Class326 method5885(Class326 var0) {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 == 0) {
            return new Class326(var0);
         } else {
            aClass326Array4035[--anInt4038].method5894(var0);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static final float method5886(Class326 var0, Class326 var1) {
      return var0.method5939(var1);
   }

   public final void method5887(Class326 var1, float var2) {
      this.method5893(1.0F - var2);
      this.method5879(method5956(var1, var2));
   }

   public static final Class326 method5888(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5866(var1);
      return var2;
   }

   public final float method5889() {
      return (float)Math.sqrt((double)(this.aFloat4036 * this.aFloat4036 + this.aFloat4037 * this.aFloat4037 + this.aFloat4033 * this.aFloat4033));
   }

   public final void method5890(float var1) {
      this.aFloat4036 /= var1;
      this.aFloat4037 /= var1;
      this.aFloat4033 /= var1;
   }

   public static final Class326 method5891(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5918(var1);
      return var2;
   }

   public final void method5892(Class321 var1) {
      Class321 var2 = Class321.method5847(this.aFloat4036, this.aFloat4037, this.aFloat4033, 0.0F);
      Class321 var3 = Class321.method5789(var1);
      Class321 var4 = Class321.method5796(var3, var2);
      var4.method5795(var1);
      this.method5873(var4.aFloat4020, var4.aFloat4016, var4.aFloat4021);
      var2.method5817();
      var3.method5817();
      var4.method5817();
   }

   public final void method5893(float var1) {
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }

   public void method5894(Class326 var1) {
      this.method5873(var1.aFloat4036, var1.aFloat4037, var1.aFloat4033);
   }

   public static final Class326 method5895(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5918(var1);
      return var2;
   }

   public final void method5896(float var1) {
      this.aFloat4036 /= var1;
      this.aFloat4037 /= var1;
      this.aFloat4033 /= var1;
   }

   public final float method5897(Class326 var1) {
      return this.aFloat4036 * var1.aFloat4036 + this.aFloat4037 * var1.aFloat4037 + this.aFloat4033 * var1.aFloat4033;
   }

   public final void method5898(Class328 var1) {
      float var2 = this.aFloat4036;
      float var3 = this.aFloat4037;
      this.aFloat4036 = var1.aFloat4066 * var2 + var1.aFloat4069 * var3 + var1.aFloat4072 * this.aFloat4033 + var1.aFloat4075;
      this.aFloat4037 = var1.aFloat4070 * var2 + var1.aFloat4065 * var3 + var1.aFloat4076 * this.aFloat4033 + var1.aFloat4077;
      this.aFloat4033 = var1.aFloat4068 * var2 + var1.aFloat4071 * var3 + var1.aFloat4073 * this.aFloat4033 + var1.aFloat4067;
   }

   public final void method5899(Class328 var1) {
      float var2 = this.aFloat4036;
      float var3 = this.aFloat4037;
      this.aFloat4036 = var1.aFloat4066 * var2 + var1.aFloat4069 * var3 + var1.aFloat4072 * this.aFloat4033 + var1.aFloat4075;
      this.aFloat4037 = var1.aFloat4070 * var2 + var1.aFloat4065 * var3 + var1.aFloat4076 * this.aFloat4033 + var1.aFloat4077;
      this.aFloat4033 = var1.aFloat4068 * var2 + var1.aFloat4071 * var3 + var1.aFloat4073 * this.aFloat4033 + var1.aFloat4067;
   }

   public final void method5900(Class328 var1) {
      float var2 = this.aFloat4036;
      float var3 = this.aFloat4037;
      this.aFloat4036 = var1.aFloat4066 * var2 + var1.aFloat4069 * var3 + var1.aFloat4072 * this.aFloat4033;
      this.aFloat4037 = var1.aFloat4070 * var2 + var1.aFloat4065 * var3 + var1.aFloat4076 * this.aFloat4033;
      this.aFloat4033 = var1.aFloat4068 * var2 + var1.aFloat4071 * var3 + var1.aFloat4073 * this.aFloat4033;
   }

   public final void method5901(Class326 var1) {
      this.aFloat4036 -= var1.aFloat4036;
      this.aFloat4037 -= var1.aFloat4037;
      this.aFloat4033 -= var1.aFloat4033;
   }

   public String toString() {
      return this.aFloat4036 + ", " + this.aFloat4037 + ", " + this.aFloat4033;
   }

   static {
      new Class326(0.0F, 0.0F, 0.0F);
      aClass326Array4035 = new Class326[0];
   }

   public String method5902() {
      return this.aFloat4036 + ", " + this.aFloat4037 + ", " + this.aFloat4033;
   }

   public String method5903() {
      return this.aFloat4036 + ", " + this.aFloat4037 + ", " + this.aFloat4033;
   }

   public static void method5904(int var0) {
      anInt4034 = var0;
      aClass326Array4035 = new Class326[var0];
      anInt4038 = 0;
   }

   public final void method5905() {
      this.aFloat4033 = 0.0F;
      this.aFloat4037 = 0.0F;
      this.aFloat4036 = 0.0F;
   }

   public static Class326 method5906(float var0, float var1, float var2) {
      Class326[] var3 = aClass326Array4035;
      synchronized(var3) {
         if(anInt4038 == 0) {
            return new Class326(var0, var1, var2);
         } else {
            aClass326Array4035[--anInt4038].method5873(var0, var1, var2);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static Class326 method5907(float var0, float var1, float var2) {
      Class326[] var3 = aClass326Array4035;
      synchronized(var3) {
         if(anInt4038 == 0) {
            return new Class326(var0, var1, var2);
         } else {
            aClass326Array4035[--anInt4038].method5873(var0, var1, var2);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static void method5908(int var0) {
      anInt4034 = var0;
      aClass326Array4035 = new Class326[var0];
      anInt4038 = 0;
   }

   public static Class326 method5909(Class326 var0) {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 == 0) {
            return new Class326(var0);
         } else {
            aClass326Array4035[--anInt4038].method5894(var0);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static Class326 method5910(Class326 var0) {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 == 0) {
            return new Class326(var0);
         } else {
            aClass326Array4035[--anInt4038].method5894(var0);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public static Class326 method5911(Class326 var0) {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 == 0) {
            return new Class326(var0);
         } else {
            aClass326Array4035[--anInt4038].method5894(var0);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public void method5912() {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 < anInt4034 - 1) {
            aClass326Array4035[anInt4038++] = this;
         }

      }
   }

   public void method5913() {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 < anInt4034 - 1) {
            aClass326Array4035[anInt4038++] = this;
         }

      }
   }

   public void method5914() {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 < anInt4034 - 1) {
            aClass326Array4035[anInt4038++] = this;
         }

      }
   }

   public void method5915() {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 < anInt4034 - 1) {
            aClass326Array4035[anInt4038++] = this;
         }

      }
   }

   public void method5916(RS2Buffer var1) {
      this.aFloat4036 = var1.method13836(-2142145478);
      this.aFloat4037 = var1.method13836(-1649936689);
      this.aFloat4033 = var1.method13836(-410625831);
   }

   public void method5917(RS2Buffer var1) {
      this.aFloat4036 = var1.method13836(-320397382);
      this.aFloat4037 = var1.method13836(-417647041);
      this.aFloat4033 = var1.method13836(-1891875309);
   }

   final void method5918(Class326 var1) {
      this.aFloat4036 /= var1.aFloat4036;
      this.aFloat4037 /= var1.aFloat4037;
      this.aFloat4033 /= var1.aFloat4033;
   }

   public void method5919(Class326 var1) {
      this.method5873(var1.aFloat4036, var1.aFloat4037, var1.aFloat4033);
   }

   public void method5920(Class326 var1) {
      this.method5873(var1.aFloat4036, var1.aFloat4037, var1.aFloat4033);
   }

   public void method5921(Class326 var1) {
      this.method5873(var1.aFloat4036, var1.aFloat4037, var1.aFloat4033);
   }

   public static Class326 method5922(Class326 var0) {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 == 0) {
            return new Class326(var0);
         } else {
            aClass326Array4035[--anInt4038].method5894(var0);
            return aClass326Array4035[anInt4038];
         }
      }
   }

   public final void method5923(Class326 var1, float var2) {
      this.method5893(1.0F - var2);
      this.method5879(method5956(var1, var2));
   }

   public final void method5924() {
      this.aFloat4033 = 0.0F;
      this.aFloat4037 = 0.0F;
      this.aFloat4036 = 0.0F;
   }

   final void method5925(Class326 var1) {
      this.aFloat4036 *= var1.aFloat4036;
      this.aFloat4037 *= var1.aFloat4037;
      this.aFloat4033 *= var1.aFloat4033;
   }

   public final void method5926() {
      this.aFloat4036 = -this.aFloat4036;
      this.aFloat4037 = -this.aFloat4037;
      this.aFloat4033 = -this.aFloat4033;
   }

   public final void method5927() {
      this.aFloat4036 = -this.aFloat4036;
      this.aFloat4037 = -this.aFloat4037;
      this.aFloat4033 = -this.aFloat4033;
   }

   public final void method5928() {
      float var1 = 1.0F / this.method5889();
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }

   public final void method5929(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   public final void method5930() {
      if(this.aFloat4036 < 0.0F) {
         this.aFloat4036 *= -1.0F;
      }

      if(this.aFloat4037 < 0.0F) {
         this.aFloat4037 *= -1.0F;
      }

      if(this.aFloat4033 < 0.0F) {
         this.aFloat4033 *= -1.0F;
      }

   }

   public final void method5931(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   public final void method5932(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   final void method5933(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   public final void method5934(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   public final void method5935(float var1) {
      this.aFloat4036 /= var1;
      this.aFloat4037 /= var1;
      this.aFloat4033 /= var1;
   }

   public final void method5936(Class326 var1, float var2) {
      this.aFloat4036 += var1.aFloat4036 * var2;
      this.aFloat4037 += var1.aFloat4037 * var2;
      this.aFloat4033 += var1.aFloat4033 * var2;
   }

   public static final Class326 method5937(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5879(var1);
      return var2;
   }

   public static final Class326 method5938(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5879(var1);
      return var2;
   }

   public final float method5939(Class326 var1) {
      return this.aFloat4036 * var1.aFloat4036 + this.aFloat4037 * var1.aFloat4037 + this.aFloat4033 * var1.aFloat4033;
   }

   public final float method5940() {
      return (float)Math.sqrt((double)(this.aFloat4036 * this.aFloat4036 + this.aFloat4037 * this.aFloat4037 + this.aFloat4033 * this.aFloat4033));
   }

   public static final Class326 method5941(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5901(var1);
      return var2;
   }

   public static final Class326 method5942(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5901(var1);
      return var2;
   }

   public void method5943(float var1, float var2, float var3) {
      this.aFloat4036 = var1;
      this.aFloat4037 = var2;
      this.aFloat4033 = var3;
   }

   public static final Class326 method5944(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5866(var1);
      return var2;
   }

   public final float method5945(Class326 var1) {
      return this.aFloat4036 * var1.aFloat4036 + this.aFloat4037 * var1.aFloat4037 + this.aFloat4033 * var1.aFloat4033;
   }

   public final void method5946(float var1, float var2, float var3) {
      this.aFloat4036 -= var1;
      this.aFloat4037 -= var2;
      this.aFloat4033 -= var3;
   }

   public static final float method5947(Class326 var0, Class326 var1) {
      return var0.method5939(var1);
   }

   public void method5948() {
      Class326[] var1 = aClass326Array4035;
      synchronized(var1) {
         if(anInt4038 < anInt4034 - 1) {
            aClass326Array4035[anInt4038++] = this;
         }

      }
   }

   final void method5949(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   final void method5950(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   final void method5951(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   final void method5952(Class326 var1) {
      this.method5873(this.aFloat4037 * var1.aFloat4033 - this.aFloat4033 * var1.aFloat4037, this.aFloat4033 * var1.aFloat4036 - this.aFloat4036 * var1.aFloat4033, this.aFloat4036 * var1.aFloat4037 - this.aFloat4037 * var1.aFloat4036);
   }

   public boolean method5953(Class326 var1) {
      return this.aFloat4036 == var1.aFloat4036 && this.aFloat4037 == var1.aFloat4037 && this.aFloat4033 == var1.aFloat4033;
   }

   public static final Class326 method5954(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5866(var1);
      return var2;
   }

   public final float method5955() {
      return (float)Math.sqrt((double)(this.aFloat4036 * this.aFloat4036 + this.aFloat4037 * this.aFloat4037 + this.aFloat4033 * this.aFloat4033));
   }

   public static final Class326 method5956(Class326 var0, float var1) {
      Class326 var2 = method5922(var0);
      var2.method5893(var1);
      return var2;
   }

   public static final Class326 method5957(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5918(var1);
      return var2;
   }

   public final void method5958() {
      if(this.aFloat4036 < 0.0F) {
         this.aFloat4036 *= -1.0F;
      }

      if(this.aFloat4037 < 0.0F) {
         this.aFloat4037 *= -1.0F;
      }

      if(this.aFloat4033 < 0.0F) {
         this.aFloat4033 *= -1.0F;
      }

   }

   final void method5959(Class326 var1) {
      this.aFloat4036 *= var1.aFloat4036;
      this.aFloat4037 *= var1.aFloat4037;
      this.aFloat4033 *= var1.aFloat4033;
   }

   public static final Class326 method5960(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5925(var1);
      return var2;
   }

   public final void method5961(float var1) {
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }

   final void method5962(Class326 var1) {
      this.aFloat4036 /= var1.aFloat4036;
      this.aFloat4037 /= var1.aFloat4037;
      this.aFloat4033 /= var1.aFloat4033;
   }

   final void method5963(Class326 var1) {
      this.aFloat4036 /= var1.aFloat4036;
      this.aFloat4037 /= var1.aFloat4037;
      this.aFloat4033 /= var1.aFloat4033;
   }

   final void method5964(Class326 var1) {
      this.aFloat4036 /= var1.aFloat4036;
      this.aFloat4037 /= var1.aFloat4037;
      this.aFloat4033 /= var1.aFloat4033;
   }

   final void method5965(Class326 var1) {
      this.aFloat4036 /= var1.aFloat4036;
      this.aFloat4037 /= var1.aFloat4037;
      this.aFloat4033 /= var1.aFloat4033;
   }

   public static final Class326 method5966(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5918(var1);
      return var2;
   }

   Class326(RS2Buffer var1) {
      this.aFloat4036 = var1.method13836(-1814861491);
      this.aFloat4037 = var1.method13836(-1416096433);
      this.aFloat4033 = var1.method13836(-1171643347);
   }

   public final void method5967() {
      this.aFloat4033 = 0.0F;
      this.aFloat4037 = 0.0F;
      this.aFloat4036 = 0.0F;
   }

   public final void method5968(Class326 var1, float var2) {
      this.method5893(1.0F - var2);
      this.method5879(method5956(var1, var2));
   }

   public final void method5969() {
      float var1 = 1.0F / this.method5889();
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }

   public final void method5970(Class326 var1) {
      this.aFloat4036 += var1.aFloat4036;
      this.aFloat4037 += var1.aFloat4037;
      this.aFloat4033 += var1.aFloat4033;
   }

   public final void method5971(Class321 var1) {
      Class321 var2 = Class321.method5847(this.aFloat4036, this.aFloat4037, this.aFloat4033, 0.0F);
      Class321 var3 = Class321.method5789(var1);
      Class321 var4 = Class321.method5796(var3, var2);
      var4.method5795(var1);
      this.method5873(var4.aFloat4020, var4.aFloat4016, var4.aFloat4021);
      var2.method5817();
      var3.method5817();
      var4.method5817();
   }

   public final void method5972(Class321 var1) {
      Class321 var2 = Class321.method5847(this.aFloat4036, this.aFloat4037, this.aFloat4033, 0.0F);
      Class321 var3 = Class321.method5789(var1);
      Class321 var4 = Class321.method5796(var3, var2);
      var4.method5795(var1);
      this.method5873(var4.aFloat4020, var4.aFloat4016, var4.aFloat4021);
      var2.method5817();
      var3.method5817();
      var4.method5817();
   }

   public final void method5973(Class326 var1, float var2) {
      this.method5893(1.0F - var2);
      this.method5879(method5956(var1, var2));
   }

   public final void method5974(Class321 var1) {
      Class321 var2 = Class321.method5847(this.aFloat4036, this.aFloat4037, this.aFloat4033, 0.0F);
      Class321 var3 = Class321.method5789(var1);
      Class321 var4 = Class321.method5796(var3, var2);
      var4.method5795(var1);
      this.method5873(var4.aFloat4020, var4.aFloat4016, var4.aFloat4021);
      var2.method5817();
      var3.method5817();
      var4.method5817();
   }

   public final void method5975(Class328 var1) {
      float var2 = this.aFloat4036;
      float var3 = this.aFloat4037;
      this.aFloat4036 = var1.aFloat4066 * var2 + var1.aFloat4069 * var3 + var1.aFloat4072 * this.aFloat4033;
      this.aFloat4037 = var1.aFloat4070 * var2 + var1.aFloat4065 * var3 + var1.aFloat4076 * this.aFloat4033;
      this.aFloat4033 = var1.aFloat4068 * var2 + var1.aFloat4071 * var3 + var1.aFloat4073 * this.aFloat4033;
   }

   public final void method5976() {
      float var1 = 1.0F / this.method5889();
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }

   public static final Class326 method5977(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5918(var1);
      return var2;
   }

   public static final Class326 method5978(Class326 var0, Class326 var1) {
      Class326 var2 = method5922(var0);
      var2.method5879(var1);
      return var2;
   }

   public final void method5979() {
      float var1 = 1.0F / this.method5889();
      this.aFloat4036 *= var1;
      this.aFloat4037 *= var1;
      this.aFloat4033 *= var1;
   }
}
